/*
	Shows how to override the client's macros button tracker
	 to add your own side effects.
*/
client
	New()
		macros = new/button_tracker/echo
		return ..()

button_tracker/echo
	Pressed(button)
		usr << "Pressed [button]."

	Released(button)
		usr << "Released [button]."

/*
	This lets you see all buttons being pressed.
*/
client
	Stat()
		..()
		statpanel("Buttons", macros.AllPressed())

// This is just to make the statpanel a bit more responsive.
world
	fps = 60
